RM(1)

NAZWA
rm - usuwa pliki lub katalogi

SKŁADNIA
rm [OPCJA]... PLIK...

OPIS
Niniejsza strona podręcznika man opisuje rm w wersji GNU. rm usuwa każdy z podanych plików. Domyślnie, nie usuwa katalogów.

Jeśli podano opcje -I lub --interactive=once i występują więcej niż trzy pliki lub jeśli podano opcje -r, -R lub --recursive, to rm pyta użytkownika przed przeprowadzeniem danej operacji. Jeśli odpowiedź nie jest twierdząca, dane działanie jest przerywane.

Poza tym, jeśli plik jest niezapisywalny, standardowym wejściem jest terminal oraz nie podano opcji -f lub --force albo podano opcje -i lub --interactive=always, to rm pyta użytkownika czy usunąć dany plik. Jeśli odpowiedź nie jest twierdząca, plik jest pomijany.

OPCJE

Usuwa (za pomocą unlink) PLIK(I).

-f, --force
    ignoruje nieistniejące pliki i argumenty, nigdy nie wyświetla zapytań

-i  pyta przed każdym usunięciem

-I  pyta jeden raz przed usunięciem więcej niż trzech plików lub gdy wybrano usuwanie rekurencyjne; jest mniej denerwujące niż -i, ale wciąż daje ochronę przed większością pomyłek

--interactive[=KIEDY]
    pyta zgodnie z KIEDY: never (nigdy), once (jak -I) lub always (jak -i); bez podania KIEDY pyta zawsze

--one-file-system
    podczas rekurencyjnego usuwania hierarchii plików pomija katalogi, które znajdują się w innym systemie plików, niż podany argument wiersza poleceń

--no-preserve-root
    nie traktuje katalogu głównego / w sposób specjalny

--preserve-root
    nie usuwa / (domyślnie)

-r, -R, --recursive
    rekurencyjnie usuwa katalogi i ich zawartość

-d, --dir
    usuwa puste katalogi

-v, --verbose
    wypisuje bieżące działania

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Domyślnie, rm nie usuwa katalogów. Aby usunąć również każdy podany katalog, wraz z całą zawartością, należy użyć opcji --recursive (lub -r albo -R).

Aby usunąć plik, które nazwa zaczyna się od "-" np. "-foo", proszę użyć jednego z poniższych poleceń:

    rm -- B-foo

    rm ./-foo

Proszę zauważyć, że w przypadku usunięcia pliki przez rm, możliwe jest odzyskanie części zawartości, w zależności od posiadanego doświadczenia i/lub czasu. Aby mieć większą pewność, że zawartość jest na prawdę nie do odzyskania, proszę rozważyć użycie programu shred.

AUTOR
Napisane przez Paula Rubina, Davida MacKenzie, Richarda M. Stallmana i Jima Meyeringa.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <http://www.gnu.org/software/coreutils/>
Zgłoszenia błędów w tłumaczeniu rm proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2016 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
unlink(1), unlink(2), chattr(1), shred(1)

Pełna dokumentacja na stronie: <http://www.gnu.org/software/coreutils/rm>
lub lokalnie, za pomocą info '(coreutils) rm invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl>, Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.25 oryginału.